tracker-file-utils
3
LIBTRACKER-COMMON Library

# tracker-file-utils

## Synopsis

    FILE*               tracker_file_open                   (const gchar *uri,
                                                             const gchar *how,
                                                             gboolean sequential);
    void                tracker_file_close                  (FILE *file,
                                                             gboolean need_again_soon);
    goffset             tracker_file_get_size               (const gchar *uri);
    guint64             tracker_file_get_mtime              (const gchar *uri);
    gchar *             tracker_file_get_mime_type          (GFile *file);
    gboolean            tracker_file_system_has_enough_space
                                                            (const gchar *path,
                                                             gulong required_bytes);
    void                tracker_path_remove                 (const gchar *uri);
    gboolean            tracker_path_is_in_path             (const gchar *path,
                                                             const gchar *in_path);
    void                tracker_path_hash_table_filter_duplicates
                                                            (GHashTable *roots);
    GSList *            tracker_path_list_filter_duplicates (GSList *roots,
                                                             const gchar *basename_exception_prefix);
    gchar *             tracker_path_evaluate_name          (const gchar *uri);
    gboolean            tracker_env_check_xdg_dirs          (void);

## Description

## Details

### tracker_file_open ()

    FILE*               tracker_file_open                   (const gchar *uri,
                                                             const gchar *how,
                                                             gboolean sequential);

`uri` :

`how` :

`sequential` :

Returns :

### tracker_file_close ()

    void                tracker_file_close                  (FILE *file,
                                                             gboolean need_again_soon);

`file` :

`need_again_soon` :

### tracker_file_get_size ()

    goffset             tracker_file_get_size               (const gchar *uri);

`uri` :

Returns :

### tracker_file_get_mtime ()

    guint64             tracker_file_get_mtime              (const gchar *uri);

`uri` :

Returns :

### tracker_file_get_mime_type ()

    gchar *             tracker_file_get_mime_type          (GFile *file);

`file` :

Returns :

### tracker_file_system_has_enough_space ()

    gboolean            tracker_file_system_has_enough_space
                                                            (const gchar *path,
                                                             gulong required_bytes);

`path` :

`required_bytes` :

Returns :

### tracker_path_remove ()

    void                tracker_path_remove                 (const gchar *uri);

`uri` :

### tracker_path_is_in_path ()

    gboolean            tracker_path_is_in_path             (const gchar *path,
                                                             const gchar *in_path);

`path` :

`in_path` :

Returns :

### tracker_path_hash_table_filter_duplicates ()

    void                tracker_path_hash_table_filter_duplicates
                                                            (GHashTable *roots);

`roots` :

### tracker_path_list_filter_duplicates ()

    GSList *            tracker_path_list_filter_duplicates (GSList *roots,
                                                             const gchar *basename_exception_prefix);

`roots` :

`basename_exception_prefix` :

Returns :

### tracker_path_evaluate_name ()

    gchar *             tracker_path_evaluate_name          (const gchar *uri);

`uri` :

Returns :

### tracker_env_check_xdg_dirs ()

    gboolean            tracker_env_check_xdg_dirs          (void);

Returns :